Bug 200345 - reading damaged/corrupted DVD keeps retrying (?)forever
reading damaged/corrupted DVD keeps retrying (?)forever
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 21:03 EDT by David Baron
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 02:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-07-26 21:03:27 EDT
Description of problem:  If I attempt to read a DVD that is damaged in some way
(for example, because while I was burning an ISO image onto the DVD the machine
started doing something else that caused the buffer to become empty; although I
think I also saw it with a scratched DVD), the attempt to read the data off the
DVD keeps repeating forever (or at least longer than I'm willing to wait).  This
leads to the following symptoms:

 * the process trying to do the reading hangs such that it is not killable (even
with kill -9)

 * repeated messages to the system log:

Jul 23 04:03:40 ridley kernel: hdc: media error (bad sector): status=0x51 {
DriveReady SeekComplete Error }
Jul 23 04:03:40 ridley kernel: hdc: media error (bad sector): error=0x30 {
LastFailedSense=0x03 }
Jul 23 04:03:40 ridley kernel: ide: failed opcode was: unknown
Jul 23 04:03:40 ridley kernel: end_request: I/O error, dev hdc, sector 7147092
Jul 23 04:03:40 ridley kernel: Buffer I/O error on device hdc, logical block 1786773
Jul 23 04:03:45 ridley kernel: hdc: media error (bad sector): status=0x51 {
DriveReady SeekComplete Error }
Jul 23 04:03:45 ridley kernel: hdc: media error (bad sector): error=0x30 {
LastFailedSense=0x03 }
Jul 23 04:03:45 ridley kernel: ide: failed opcode was: unknown
Jul 23 04:03:45 ridley kernel: end_request: I/O error, dev hdc, sector 7146064
Jul 23 04:03:45 ridley kernel: Buffer I/O error on device hdc, logical block 1786516

etc...

 * repeated motion/noise from the DVD drive

Any attempt to physically stop the process (so that I can get the DVD out of the
drive) by removing the DVD drive from the laptop causes a kernel panic.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2157_FC5

How reproducible:  Always, I think (except for the issue of getting a corrupted
DVD in the first place).  In other words, I've never seen any other symptoms of
having a corrupted DVD.

Steps to Reproduce:
1. Burn a corrupted DVD by burning an ISO image and doing something else with
the system such that the buffer runs empty at some point in the middle of the
process.
2. Do something that attempts to read all the files on the DVD.
  
Actual results:
Process doing the reading becomes unkillable
DVD drive is active forever (or for a very long time) and cannot be opened

Expected results:
neither of the above

Additional info:
I'm using an IBM T42 laptop.  Per lspci -v, the IDE controller is:

00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev
01) (prog-if 8a [Master SecP PriP])
        Subsystem: IBM Unknown device 052d
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at 1860 [size=16]
        Memory at 70000000 (32-bit, non-prefetchable) [size=1K]

The syslog messages from booting that are related to IDE loading are:

Jul 23 04:07:23 ridley kernel: Uniform Multi-Platform E-IDE driver Revision:
7.00alpha2
Jul 23 04:07:23 ridley kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
Jul 23 04:07:23 ridley kernel: ICH4: IDE controller at PCI slot 0000:00:1f.1
Jul 23 04:07:23 ridley kernel: PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
Jul 23 04:07:23 ridley kernel: PCI: Found IRQ 11 for device 0000:00:1f.1
Jul 23 04:07:23 ridley kernel: PCI: Sharing IRQ 11 with 0000:00:1d.2
Jul 23 04:07:23 ridley kernel: PCI: Sharing IRQ 11 with 0000:02:02.0
Jul 23 04:07:23 ridley kernel: ICH4: chipset revision 1
Jul 23 04:07:23 ridley kernel: ICH4: not 100% native mode: will probe irqs later
Jul 23 04:07:23 ridley kernel:     ide0: BM-DMA at 0x1860-0x1867, BIOS settings:
hda:DMA, hdb:pio
Jul 23 04:07:23 ridley kernel:     ide1: BM-DMA at 0x1868-0x186f, BIOS settings:
hdc:DMA, hdd:pio
Jul 23 04:07:23 ridley kernel: hda: HTS726060M9AT00, ATA DISK drive
Jul 23 04:07:23 ridley kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Jul 23 04:07:23 ridley kernel: hdc: UJDA755yDVD/CDRW, ATAPI CD/DVD-ROM drive
Jul 23 04:07:23 ridley kernel: ide1 at 0x170-0x177,0x376 on irq 15
Jul 23 04:07:23 ridley kernel: hda: max request size: 128KiB
Jul 23 04:07:23 ridley kernel: hda: 117210240 sectors (60011 MB) w/7877KiB
Cache, CHS=65535/16/63, UDMA(100)
Jul 23 04:07:23 ridley kernel: hda: cache flushes supported
Jul 23 04:07:23 ridley kernel:  hda: hda1 hda2 hda3 hda4 < hda5 hda6 >
Jul 23 04:07:23 ridley kernel: hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB
Cache, UDMA(33)
Jul 23 04:07:23 ridley kernel: Uniform CD-ROM driver Revision: 3.20
Jul 23 04:07:23 ridley kernel: ide-floppy driver 0.99.newide
Comment 1 Dave Jones 2006-10-16 15:10:51 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 David Baron 2006-10-20 00:05:02 EDT
I attempted the same steps I tried before (using the same damaged CD, which I
kept around), and the problem appears to be fixed with the latest kernel in FC5
updates.

Note You need to log in before you can comment on or make changes to this bug.